#! /bin/sh
#***************************************
#*              start.sh               *
#***************************************

if [ "$CLP_EVENT" = "START" ]
then
	if [ "$CLP_DISK" = "SUCCESS" ]
	then
		echo "NORMAL1"
		if [ "$CLP_SERVER" = "HOME" ]
		then
			echo "NORMAL2"
		else
			echo "ON_OTHER1"
		fi
	        su - oracle -c "/opt/redflag/hacluster/scripts/oracle/oracleexec/dbstart"
	        su - oracle -c "lsnrctl start;agentctl start"
	else
		echo "ERROR_DISK from START"
	fi


elif [ "$CLP_EVENT" = "FAILOVER" ]
then
	if [ "$CLP_DISK" = "SUCCESS" ]
	then
		echo "FAILOVER1"
		if [ "$CLP_SERVER" = "HOME" ]
		then
			echo "FAILOVER2"
		else
			echo "ON_OTHER2"
		fi
	        su - oracle -c "/opt/redflag/hacluster/scripts/oracle/oracleexec/dbstart"
	        su - oracle -c "lsnrctl start;agentctl start"
	else
		echo "ERROR_DISK from FAILOVER"
	fi
else
	echo "NO_CLP"
fi
echo "EXIT"
exit 0

